org.apache.ignite.internal.visor.streamer

## Class VisorStreamerStageMetrics

- java.lang.Object
- - org.apache.ignite.internal.visor.streamer.VisorStreamerStageMetrics

All Implemented Interfaces:
  Serializable

    public class VisorStreamerStageMetrics
    extends Object
    implements Serializable

Data transfer object for `StreamerStageMetrics`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorStreamerStageMetrics()`

### Method Summary

Methods
`long` `avgExecutionTime()`
`void` `avgExecutionTime(long avgExecTm)`
`long` `avgWaitingTime()`
`void` `avgWaitingTime(long avgWaitingTm)`
`long` `executed()`
`void` `executed(long executed)`
`boolean` `executing()`
`void` `executing(boolean executing)`
`int` `failures()`
`void` `failures(int failures)`
`int` `failuresFrequency()`
`void` `failuresFrequency(int failuresFreq)`
`static VisorStreamerStageMetrics` `from(StreamerStageMetrics m)` Create data transfer object for given metrics.
`long` `maxExecutionTime()`
`void` `maxExecutionTime(long maxExecTm)`
`long` `maxWaitingTime()`
`void` `maxWaitingTime(long maxWaitingTm)`
`long` `minExecutionTime()`
`void` `minExecutionTime(long minExecTm)`
`long` `minWaitingTime()`
`void` `minWaitingTime(long minWaitingTm)`
`String` `name()`
`void` `name(String name)`
`static Collection<VisorStreamerStageMetrics>` `stages(IgniteStreamer streamer)` Create data transfer objects for all stages.
`long` `throughput()`
`void` `throughput(long throughput)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorStreamerStageMetrics

    public VisorStreamerStageMetrics()

### Method Detail

#### from

    public static VisorStreamerStageMetrics from(StreamerStageMetrics m)

Create data transfer object for given metrics.

#### stages

    public static Collection<VisorStreamerStageMetrics> stages(IgniteStreamer streamer)

Create data transfer objects for all stages.

#### name

    public String name()

Returns:
  Stage name.

#### name

    public void name(String name)

Parameters:
  `name` - New stage name.

#### minExecutionTime

    public long minExecutionTime()

Returns:
  Minimum execution time.

#### minExecutionTime

    public void minExecutionTime(long minExecTm)

Parameters:
  `minExecTm` - New minimum execution time.

#### avgExecutionTime

    public long avgExecutionTime()

Returns:
  Average execution time.

#### avgExecutionTime

    public void avgExecutionTime(long avgExecTm)

Parameters:
  `avgExecTm` - New average execution time.

#### maxExecutionTime

    public long maxExecutionTime()

Returns:
  Maximum execution time.

#### maxExecutionTime

    public void maxExecutionTime(long maxExecTm)

Parameters:
  `maxExecTm` - New maximum execution time.

#### minWaitingTime

    public long minWaitingTime()

Returns:
  Minimum waiting time.

#### minWaitingTime

    public void minWaitingTime(long minWaitingTm)

Parameters:
  `minWaitingTm` - New minimum waiting time.

#### avgWaitingTime

    public long avgWaitingTime()

Returns:
  Average waiting time.

#### avgWaitingTime

    public void avgWaitingTime(long avgWaitingTm)

Parameters:
  `avgWaitingTm` - New average waiting time.

#### maxWaitingTime

    public long maxWaitingTime()

Returns:
  Maximum waiting time.

#### maxWaitingTime

    public void maxWaitingTime(long maxWaitingTm)

Parameters:
  `maxWaitingTm` - New maximum waiting time.

#### executed

    public long executed()

Returns:
  Executed count.

#### executed

    public void executed(long executed)

Parameters:
  `executed` - New executed count.

#### failures

    public int failures()

Returns:
  Failures count.

#### failures

    public void failures(int failures)

Parameters:
  `failures` - New failures count.

#### executing

    public boolean executing()

Returns:
  If executing.

#### executing

    public void executing(boolean executing)

Parameters:
  `executing` - New if executing.

#### throughput

    public long throughput()

Returns:
  Throughput.

#### throughput

    public void throughput(long throughput)

Parameters:
  `throughput` - New throughput.

#### failuresFrequency

    public int failuresFrequency()

Returns:
  Failures frequency.

#### failuresFrequency

    public void failuresFrequency(int failuresFreq)

Parameters:
  `failuresFreq` - New failures frequency.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015